> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Dataset Filesystem



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/filesystem/search
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/filesystem/search:
    get:
      tags:
        - api
        - datasets
      summary: Search Dataset Filesystem
      operationId: >-
        search_dataset_filesystem_api_datasets__dataset_id__filesystem_search_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: q
          in: query
          required: false
          schema:
            type: string
            description: Filename/folder search query
            default: ''
            title: Q
          description: Filename/folder search query
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 150
            title: Limit
        - name: scope_path
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional folder path relative to dataset root to search within
            title: Scope Path
          description: Optional folder path relative to dataset root to search within
        - name: version_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Dataset view version ("active" default, "original", or explicit
              version id)
            title: Version Id
          description: >-
            Dataset view version ("active" default, "original", or explicit
            version id)
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetFilesystemSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetFilesystemSearchResponse:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        query:
          type: string
          title: Query
        total_matches:
          type: integer
          title: Total Matches
        returned:
          type: integer
          title: Returned
        truncated:
          type: boolean
          title: Truncated
          default: false
        results:
          items:
            $ref: '#/components/schemas/DatasetFilesystemSearchItem'
          type: array
          title: Results
      type: object
      required:
        - dataset_id
        - query
        - total_matches
        - returned
      title: DatasetFilesystemSearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetFilesystemSearchItem:
      properties:
        path:
          type: string
          title: Path
        parent_path:
          type: string
          title: Parent Path
        name:
          type: string
          title: Name
        kind:
          type: string
          enum:
            - file
            - folder
          title: Kind
        extension:
          anyOf:
            - type: string
            - type: 'null'
          title: Extension
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        is_image:
          type: boolean
          title: Is Image
          default: false
      type: object
      required:
        - path
        - parent_path
        - name
        - kind
      title: DatasetFilesystemSearchItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````